#define MODULE "stack"

#include "log/Log.h"
#include "misc/hang.h"
#include "render/TextRenderer.h"
#include <stdint.h>

extern "C" void __stack_chk_fail()
{
    KernelLog::enable_log_backend(Backend::Console);
    TextRenderer::reset();
    kerrorln("stack smashing detected");
    hang();
}